Bug 158756 - missing return statement
Summary: missing return statement
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-25 13:33 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-10 16:40:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-05-25 13:33:36 UTC
Description of problem:

I just tried to compile package e2fsprogs-1.37-4 from
Redhat Fedora Core development tree with the most excellent Intel C
compiler.

The compiler said

inode.c(747): warning #1011: missing return statement at end of non-void
function "ext2fs_write_new_inode"

The source code is

        retval = ext2fs_write_inode_full(fs, ino, buf, size);
}

Clearly broken code.  Maybe add 

	return retval;


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Thomas Woerner 2005-11-10 16:40:09 UTC
Fixed in e2fsprogs-1.38.


Note You need to log in before you can comment on or make changes to this bug.